Bug 800683 - Pidgin needs to be ported to farstream for F17
Pidgin needs to be ported to farstream for F17
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
17
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Stu Tomlinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 18:03 EST by Brian Pepple
Modified: 2012-07-09 21:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-09 21:23:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2012-03-06 18:03:00 EST
Description of problem: Farsight2 is being obsoleted in Fedora 17, and pidgin needs to be ported to Farstream. A patch has been submitted by the farsight2/farstream upstream to pidgin, but has not been accepted yet. Until this is done, we are unable to Empathy for Gnome 3.4.

Here's a link to the upstream bug: http://developer.pidgin.im/ticket/14936
Comment 1 Marko Myllynen 2012-03-21 06:05:50 EDT
The patch proposal from the upstream bug has now been merged:

http://pkgs.fedoraproject.org/gitweb/?p=pidgin.git;a=commit;h=71af3cce968cf318376abd51b0325674ef830110

However, now when trying make a jabber call to N900 Maemo phone or an audio call to MS Lync libpurple's fs2 media backend crashes.

pidgin-sipe developers are planning to check if they could improve the upstream patch so if/when that is done we'll need to update the Fedora patch, too.

http://developer.pidgin.im/ticket/14936

Thanks.
Comment 2 Marko Myllynen 2012-03-27 05:46:13 EDT
By using the updated patch (v3) from the upstream ticket pidgin no more crashes. Please update the patch used in F17 to v3.

http://developer.pidgin.im/ticket/14936

Thanks.

Note You need to log in before you can comment on or make changes to this bug.